package com.fufan.mtsaas.modules.sysmgr.sygroup.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupDetailQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupHQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupHSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupH;

/**
 *  服务类
 *
 * @author Liby
 * @since 2019-08-18
 */
public interface SYgroupHSvc extends IService<SYgroupH> {

    Result doQueryPage(GroupHQueryRequest map, RequestPojo requestPojo);

    Result doQueryDetail(GroupDetailQueryRequest map, RequestPojo requestPojo);

    Result doQueryMenuData(GroupDetailQueryRequest map,RequestPojo requestPojo);

    Result doSave(SYgroupH entity, RequestPojo requestPojo);

    Result doUpdate(SYgroupH entity, RequestPojo requestPojo);

    Result doDelete(GroupHQueryRequest map, RequestPojo requestPojo);

    Result doSaveMap(GroupHSaveRequest map, RequestPojo requestPojo);

    Result doUpdateMap(GroupHSaveRequest map, RequestPojo requestPojo);
}
